#!usr/bin/env ruby
# -*- coding: utf-8 -*-

puts"すごろくをしましょう!"
puts"順番を決めましょう!"
puts"一番大きい数字の人が1番です"
puts"サイコロを振ります"
puts"p1さんは、"
sleep(2)
saikoro=[]
saikoro<<"1"
saikoro<<"2"
saikoro<<"3"
saikoro<<"4"
saikoro<<"5"
saikoro.push("6")
printf("%dが出ました!\n",saikoro[rand(saikoro.length)])
puts"p2さんは、"
sleep(2)
saikoro=[]
saikoro<<"1"
saikoro<<"2"
saikoro<<"3"
saikoro<<"4"
saikoro<<"5"
saikoro.push("6")
printf("%dが出ました!\n",saikoro[rand(saikoro.length)])
puts"どっちが大きかったですか?"
puts"教えてくださいな!"
puts"※嘘をつかないでねー"
puts"p1 p2 で答えてね、"
sennkou=gets.chomp
if sennkou=="p1"
  puts"あなたは先行ですね"
else
  puts"あなたは後攻ですね"
end

